
Name:           kturtle
Summary:        An educational programming environment
Version: 		17.12.3
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2 and GFDL
URL:            http://www.kde.org/applications/education/kturtle/
Source:         http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5widgets-devel 

%description
KTurtle is an educational programming environment for the KDE4 Desktop.
KTurtle aims to make programming as easy and touchable as possible, and
therefore can be used to teach kids the basics of math, geometry
and... programming.

%files
%doc AUTHORS COPYING COPYING.DOC FAQ
%_kf5_bindir/%name
%_kf5_iconsdir/hicolor/*/apps/%name.png
%_kf5_datadir/applications/*.desktop
%_sysconfdir/xdg/kturtle.knsrc
%_kf5_datadir/metainfo
%_kf5_datadir/kxmlgui5/kturtle
%_kf5_datadir/locale
%_kf5_datadir/katepart/syntax
%_kf5_datadir/kturtle/data
%_kf5_datadir/kturtle/examples
#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
Requires:		%name
BuildArch:      noarch

%description handbook
This package provides the %name handbook.

%files handbook
%docdir %_kf5_docdir/HTML
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Tue Dec 27 2016 bb <bb> - 16.12.0-1pclos2017
- new version

